org.apache.nutch.crawl

## Class DbUpdateReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<K1,V1,K2,V2>
  - - org.apache.gora.mapreduce.GoraReducer<UrlWithScore,NutchWritable,String,WebPage>
    - - org.apache.nutch.crawl.DbUpdateReducer

-     public class DbUpdateReducer
      extends org.apache.gora.mapreduce.GoraReducer<UrlWithScore,NutchWritable,String,WebPage>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CRAWLDB_ADDITIONS_ALLOWED`
    `org.apache.gora.store.DataStore<String,WebPage>` | `datastore`
    `static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbUpdateReducer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cleanup(Reducer.Context context)`
    `protected void` | `reduce(UrlWithScore key, Iterable<NutchWritable> values, Reducer.Context context)`
    `protected void` | `setup(Reducer.Context context)`

    - ### Methods inherited from class org.apache.gora.mapreduce.GoraReducer

      `initReducerJob, initReducerJob, initReducerJob`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CRAWLDB_ADDITIONS_ALLOWED

          public static final String CRAWLDB_ADDITIONS_ALLOWED

      See Also:
        Constant Field Values

    - #### LOG

          public static final org.slf4j.Logger LOG

    - #### datastore

          public org.apache.gora.store.DataStore<String,WebPage> datastore

  - ### Constructor Detail

    - #### DbUpdateReducer

          public DbUpdateReducer()

  - ### Method Detail

    - #### setup

          protected void setup(Reducer.Context context)
                        throws IOException,
                               InterruptedException

      Overrides:
        `setup` in class `Reducer<UrlWithScore,NutchWritable,String,WebPage>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### cleanup

          protected void cleanup(Reducer.Context context)
                          throws IOException,
                                 InterruptedException

      Overrides:
        `cleanup` in class `Reducer<UrlWithScore,NutchWritable,String,WebPage>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### reduce

          protected void reduce(UrlWithScore key,
                    Iterable<NutchWritable> values,
                    Reducer.Context context)
                         throws IOException,
                                InterruptedException

      Overrides:
        `reduce` in class `Reducer<UrlWithScore,NutchWritable,String,WebPage>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2015 The Apache Software Foundation